Subject: bug#36609: 27.0.50; Possible race-condition in threading implementation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Jun 2021 20:53:15 +0300

> Date: Fri, 11 Jun 2021 09:00:07 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> I'm okay with replacing the simple increments and decrements of that
> variable with atomic ones, using the likes of __atomic_fetch_add
> intrinsics of GCC, if that solves the problem.  Did you try that?

Ping!

Did you try that, and if so, did using the atomics solve the original
problem?

Thanks.